# Batch Transactions

These endpoints allow you to manage batch transactions on the Fordefi platform.

Batch transactions are currently supported only on Solana, for the purpose
of supporting the `signAllTransactions` flow used by certain Solana DApps.
Batch transactions undergo policy evaluation as a whole:  the policy is
applied to a “virtual transaction” whose list of instructions is the union
of the instructions of the individual transactions in the batch, and whose balance
changes are the aggregation of balance changes of the individual transactions.

 - [POST /api/v1/batch-transactions](https://docs.fordefi.com/api/openapi/batch-transactions/create_batch_transaction_api_v1_batch_transactions_post.md): Create a batch of transactions. Batch transactions are currently supported only on Solana.
 - [POST /api/v1/batch-transactions/predict](https://docs.fordefi.com/api/openapi/batch-transactions/predict_batch_transaction_api_v1_batch_transactions_predict_post.md): Simulate the batch of transactions and show changes in token balances, in addition to the fee estimation Batch transactions are currently supported only on Solana.
 - [POST /api/v1/batch-transactions/{batch_id}/abort](https://docs.fordefi.com/api/openapi/batch-transactions/abort_batch_transaction_api_v1_batch_transactions__batch_id__abort_post.md): Abort a batch of transactions.
 - [POST /api/v1/batch-transactions/{batch_id}/approve](https://docs.fordefi.com/api/openapi/batch-transactions/approve_batch_transaction_api_v1_batch_transactions__batch_id__approve_post.md): Approve a batch of transactions.
